zrot.f(3)

NAME
zrot.f -

SYNOPSIS

  Functions/Subroutines
subroutine zrot (N, CX, INCX, CY, INCY, C, S)
ZROT applies a plane rotation with real cosine and complex sine to a pair of complex vectors.

Function/Subroutine Documentation

  subroutine zrot (integerN, complex*16, dimension( * )CX, integerINCX, complex*16, dimension( * )CY, integerINCY, double precisionC, complex*16S)

ZROT applies a plane rotation with real cosine and complex sine to a pair of complex vectors.

Purpose:

     ZROT   applies a plane rotation, where the cos (C) is real and the
     sin (S) is complex, and the vectors CX and CY are complex.

Parameters:
    N

              N is INTEGER
              The number of elements in the vectors CX and CY.

    CX

              CX is COMPLEX*16 array, dimension (N)
              On input, the vector X.
              On output, CX is overwritten with C*X + S*Y.

    INCX

              INCX is INTEGER
              The increment between successive values of CY.  INCX <> 0.

    CY

              CY is COMPLEX*16 array, dimension (N)
              On input, the vector Y.
              On output, CY is overwritten with -CONJG(S)*X + C*Y.

    INCY

              INCY is INTEGER
              The increment between successive values of CY.  INCX <> 0.

    C

              C is DOUBLE PRECISION

    S

              S is COMPLEX*16
              C and S define a rotation
                 [  C          S  ]
                 [ -conjg(S)   C  ]
              where C*C + S*CONJG(S) = 1.0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 104 of file zrot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.